:root {
  --loader-primary: #0074D9;
  --loader-success: #2ECC40;
  --loader-error: #FF4136;
}
.global-loader {
  z-index: 2;
  position: fixed;
  top: 70px;
  right: 0px;
  width: 70px;
  height: 60px;
  background-color: var(--loader-primary);
  border-radius: 8px 0 0 8px;
}
.success {
  animation: success 1s forwards;
}
.error {
  animation: error 1s forwards;
}
.hidden {
  display: none;
}

@keyframes success {
  0% {
    background-color: var(--loader-primary);
  }
  50% {
    background-color: var(--loader-success);
    transform: scale(1.3);
  }
  100% {
    transform: translateX(70px) scale(1);
  }
}
@keyframes error {
  0% {
    background-color: var(--loader-primary);
  }
  50% {
    background-color: var(--loader-error);
    transform: scale(1.3);
  }
  100% {
    transform: translateX(70px) scale(1);
  }
}

.lds-dual-ring {
  display: inline-block;
  margin-left: 5px;
  width: 60px;
  height: 60px;
}
.lds-dual-ring:after {
  content: " ";
  display: block;
  width: 44px;
  height: 44px;
  margin: 8px;
  border-radius: 50%;
  border: 6px solid #fff;
  border-color: #fff transparent #fff transparent;
  animation: lds-dual-ring 1.2s linear infinite;
}
.lds-dual-ring-black {
  transform: scale(1.25);
}
.lds-dual-ring-black:after {
  border: 6px solid #444;
  border-color: #444 transparent #444 transparent;
}
@keyframes lds-dual-ring {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}